Subject: Re: [PATCH 0/4] drop some "int x = x" hacks to silence gcc warnings

From: "Joachim Schmitz" <[email-masked]>
Date: Thu, 21 Mar 2013 14:44:51 +0100

Johannes Sixt wrote:
> Am 3/21/2013 12:03, schrieb Jeff King:
>> I was fooling around with clang and noticed that it complains about
>> the "int x = x" construct under -Wall. That is IMHO a deficiency in
>> clang, since the idiom has a well-defined use in silencing
>> -Wuninitialized warnings.
>
> IMO, that's a myth. The construct invokes undefined behavior at least
> since C99, and the compilers are right to complain about it.

And I complained about this a couple months ago, as the compiler on 
HP-NonStop stumbles across this too (by emitting a warning)

Bye, Jojo